org.apache.tinkerpop.gremlin.hadoop.structure.io

## Class ObjectWritableComparator

- java.lang.Object
- - org.apache.tinkerpop.gremlin.hadoop.structure.io.ObjectWritableComparator

- All Implemented Interfaces:
    HadoopPoolsConfigurable
  Direct Known Subclasses:
    ObjectWritableComparator.ObjectWritableMapComparator, ObjectWritableComparator.ObjectWritableReduceComparator

      public abstract class ObjectWritableComparator
      extends Object
      implements HadoopPoolsConfigurable

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ObjectWritableComparator.ObjectWritableMapComparator`
    `static class` | `ObjectWritableComparator.ObjectWritableReduceComparator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Comparator` | `comparator`
    `static Logger` | `LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectWritableComparator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(byte[] bytes, int i, int i1, byte[] bytes1, int i2, int i3)`
    `int` | `compare(ObjectWritable objectWritable1, ObjectWritable objectWritable2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.hadoop.structure.io.HadoopPoolsConfigurable

      `getConf, setConf`

- - ### Field Detail

    - #### LOGGER

          public static final Logger LOGGER

    - #### comparator

          protected Comparator comparator

  - ### Constructor Detail

    - #### ObjectWritableComparator

          public ObjectWritableComparator()

  - ### Method Detail

    - #### compare

          public int compare(ObjectWritable objectWritable1,
                             ObjectWritable objectWritable2)

    - #### compare

          public int compare(byte[] bytes,
                             int i,
                             int i1,
                             byte[] bytes1,
                             int i2,
                             int i3)

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.